%define major	7
%define akaimajor 0
%define rev	0
%define tarballname libgig
%define libname %mklibname %{name} %{major}
%define libakai %mklibname %{name}-akai %{akaimajor}
%define devname %mklibname %{name} -d
%define devakai %mklibname %{name}-akai -d

# Release must increase if any sub-package version does not change :\
%define rel	5

%if %{rev}
%define release	%mkrel -c %{rev} %{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		gig
Version:	4.0.0
%define gigver	4.0.0
Release:	%{release}
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files
License:	GPLv2 and LGPL
# Note akai library is LGPL
Group:		Sound/Utilities

# Make tarball in SOURCES from svn with:-
# $ ./mk_svn_tar libgig https://svn.linuxsampler.org/svn/libgig/trunk tar.bz2 -m
%if %{rev}
Source0:	%{tarballname}-%{rev}.tar.bz2
%else
Source0:	%{tarballname}-%{version}.tar.bz2
%endif
Source1:	mk_svn_tar
URL:		http://www.linuxsampler.org/libgig/

BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	doxygen
Requires:	%{libname} = %{version}-%{release}

%description
C++ library for accessing Gigasampler/GigaStudio, DLS,
SoundFont and KORG sound files.

%package -n %{libname}
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%package -n %{devname}
Summary:	Header files for developers
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{_lib}uuid-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{tarballname}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developers.

%package -n %{libakai}
Version:	0.0.0
Summary:	C++ library for accessing AKAI disk images
Group:		System/Libraries
License:	LGPL

%description -n %{libakai}
Akai lib

%package -n %{devakai}
Version:	0.0.0
Summary:	Header files for developers
Group:		System/Libraries
License:	LGPL
Requires:	%{libakai} = %{version}-%{release}
Provides:	%{name}-akai-devel = %{version}-%{release}

%description -n %{devakai}
Header files for developers.

%prep
%if %{rev}
%setup -q -n lib%{name}
%else
%setup -q -n lib%{name}-%{gigver}
%endif

%build
%configure2_5x
%make
make docs

%install
%makeinstall
find %{buildroot} -name "*.la" -delete

mv %{buildroot}/%{_libdir}/libgig/* %{buildroot}/%{_libdir}/
rm -rf %{buildroot}/%{_libdir}/libgig

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/html
%{_mandir}/man1/*
%{_bindir}/*

%files  -n %{libname}
%{_libdir}/libgig.so.%{major}
%{_libdir}/libgig.so.%{major}.*

%files  -n %{devname}
%{_includedir}/*
%{_libdir}/libgig.a
%{_libdir}/libgig.so
%{_libdir}/pkgconfig/gig.pc

%files -n %{libakai}
%{_libdir}/libakai.so.%{akaimajor}
%{_libdir}/libakai.so.%{akaimajor}.*

%files  -n %{devakai}
%{_libdir}/libakai.a
%{_libdir}/libakai.so
%{_libdir}/pkgconfig/akai.pc


%changelog
* Sun Feb 14 2016 umeabot <umeabot> 4.0.0-5.mga6
+ Revision: 960292
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 4.0.0-4.mga6
+ Revision: 894813
- new version 4.0.0

* Thu Aug 27 2015 cjw <cjw> 3.3.0-3.2671.4.mga6
+ Revision: 870153
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 3.3.0-3.2671.3.mga5
+ Revision: 751161
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.0-3.2671.2.mga5
+ Revision: 679569
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 3.3.0-3.2671.1.mga5
+ Revision: 670949
- new snapshot 2671
- new akai lib and dev sub-packages
- added requires %%{_lib}uuid-devel to -devel pkg to  work around strange urpmi behavior

* Tue May 13 2014 barjac <barjac> 3.3.0-3.2546.5.mga5
+ Revision: 622389
- new snapshot 2546

* Fri May 09 2014 barjac <barjac> 3.3.0-3.2459.4.mga5
+ Revision: 621651
- revert to svn 2459
- use find -delete
- previous commit was a mistake

* Thu May 08 2014 barjac <barjac> 3.3.0-3.mga5
+ Revision: 621293
- new version 3.3.0
- disable parallel build
- patch to fix declarations

* Sat Oct 19 2013 umeabot <umeabot> 3.3.0-2.2459.2.mga4
+ Revision: 531784
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 3.3.0-2.2459.1.mga4
+ Revision: 465337
- new snapshot 2459
- add major check
- delete *.la rather than exclude

* Sat Jan 12 2013 umeabot <umeabot> 3.3.0-2.2379.2.mga3
+ Revision: 351551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 3.3.0-2.2379.1.mga3
+ Revision: 347896
- correct release format as interim until version update

* Wed Jan 09 2013 boklm <boklm> 3.3.0-2.2379.mga3
+ Revision: 343990
- Add rel macro so that youri updater can bump release.

* Wed Nov 14 2012 barjac <barjac> 3.3.0-1.2379.mga3
+ Revision: 317595
- add BR pkgconfig(uuid)

* Mon Nov 12 2012 barjac <barjac> 3.3.0-0.2379.mga3
+ Revision: 317266
- fix libs group
- spec cleaned
- update to svn snapshot with bug fixes
- thanks to Philippe Didier for work on this
- imported package gig


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-2mdv2011.0
+ Revision: 618471
- the mass rebuild of 2010.0 packages

* Thu Aug 27 2009 Emmanuel Andry <eandry@mandriva.org> 3.3.0-1mdv2010.0
+ Revision: 421759
- New version 3.3.0

* Sun Sep 07 2008 Emmanuel Andry <eandry@mandriva.org> 3.2.1-3mdv2009.0
+ Revision: 282392
- apply devel policy
- add gcc43 patch from gentoo
- use configure2_5x

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 14 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.2.1-1mdv2008.1
+ Revision: 120265
- Fix BuildRequires
- import gig


